PETSc version 3.15.5
Fix/Edit manual page

# SNESFASGetLevels

Gets the number of levels in a FAS, including fine and coarse grids

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESFASGetLevels(SNES snes, PetscInt *levels)

### Input Parameter

| snes | - the nonlinear solver context

### Output parameter

| levels | - the number of levels

### See Also

SNESFASSetLevels(), PCMGGetLevels()

### Level

advanced

### Location

src/snes/impls/fas/fasfunc.c

### Examples

src/snes/tutorials/ex12.c.html
Index of all SNESFAS routines
Table of Contents for all manual pages
Index of all manual pages